Subject: bug#30938: 27.0; `dired-do-create-files' etc.: do NOT always raise error if no files

From: Drew Adams <[email-masked]>
Date: Thu, 29 Mar 2018 21:01:49 -0700 (PDT)

> > Don't you see there is something wrong in adding the same INTERACTIVEP
> > arg to all these 13 commands and possibly to more 15 other commands?
> 
> The parameter should be named THROW-ERROR-P, then it's clear that
> there is nothing wrong with it, all commands just happen to share this
> interface feature: they may throw error, or not.
> (and they can still work correctly if called non-interactively from
> some other interactive command)

Actually, as you can see from the change log I cited,
I call the optional arg for `dired-get-marked-files'
ERROR-IF-NONE-P (which is better than THROW-ERROR-P,
which doesn't say what the error is about).

That's precisely what that optional arg means for
`dired-get-marked-files'.  And it will only ever
mean that, no doubt.

However, for the individual commands that call that
function, the arg can be called either that or just
INTERACTIVEP.

Yes, it is the case _currently_ that in those commands
distinguishing the interactive case is used only in the
call to `dired-get-marked-files', i.e., only to make it
raise the corner-case error, so far.  So I'm OK with
calling the arg ERROR-IF-NONE-P there also.  I'm also
OK with calling it INTERACTIVEP there.

In neither place should it be called THROW-ERROR-P, IMO.
But as long as the problem gets fixed I don't really care
much about the parameter name.